import java.util.Scanner;

public class Console {

    public void welcomeScreen(){
        System.out.println("Hello! Please select an option from the menu below.");
    }

    public void menuOptions(){
        System.out.println("(C)reate a new client account.\n(V)iew client account details.\nUpdate client account (n)ame.\nUpdate client account (p)assword.\n(D)elete client account.\n(Exit) to quit program.");
    }

    public String getMenuSelection(){
        Scanner scanner = new Scanner(System.in);
        return scanner.nextLine().toLowerCase();
    }

    public String getName(){
        System.out.println("Enter name.");
        Scanner scanner = new Scanner(System.in);
        return scanner.nextLine();
    }

    public String getPassword(){
        System.out.println("Enter password.");
        Scanner scanner = new Scanner(System.in);
        return scanner.nextLine();
    }

    public int getId(){
        Scanner scanner = new Scanner(System.in);
        System.out.println("Enter ID.");
        int input = scanner.nextInt();
        scanner.nextLine();
        return input;
    }

    public void printAccountDetails(int id, String name, String password){
        System.out.println("ID: " + id + "\nName: " + name + "\nPassword: " + password);
    }

    public void exitMessage(){
        System.out.println("Bye!");
    }
}
